{-
   Copyright 2007 Dino Morelli

   This file is part of storylen

   storylen is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   storylen is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with storylen; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  
   02110-1301  USA
-}

module TestDescShortStory (
   testDescShortStory
)
   where

import RangedInt
import StoryLen.Describe ( describeStory )
import Test.QuickCheck


instance Arbitrary RangedInt where
   arbitrary = choose (RangedInt 2001, RangedInt 7500)

   -- This impl was lifted directly out of the instance Arbitrary Int 
   -- code from Test.QuickCheck
   coarbitrary (RangedInt n) = variant (if n >= 0 then 2 * n else 2 * (-n) + 1)


testDescShortStory :: IO ()
testDescShortStory = check (defaultConfig { configMaxTest = 3000 })
   (\rwc -> describeStory (fromRangedInt rwc) == "short story")
